//######################################################
//#                                                    #
//#  (c) 2018 AO Kaspersky Lab. All Rights Reserved.   #
//#                                                    #
//######################################################
!function() {
    var host = window.location.host, pathname = window.location.pathname, hash = window.location.hash, protocol = window.location.protocol, lang = localStorage.getItem("lang");
    $.ajax({
        type: "GET",
        url: "./langs/",
        async: !0,
        scriptCharset: "UTF-8",
        dataType: "html",
        success: function(data) {
            for (var files = (data + "").match(/lang_([\w\-]+)\.json/gim), objData = {}, langs = [], newLocation = "", indx = 0, l = files.length; l > indx; indx++) {
                var _lang = files[indx].match(/_([^\.]+)\./i)[1];
                objData[_lang] || langs.push(_lang), objData[_lang] = !0;
            }
            lang && objData[lang] ? newLocation = [ protocol, "//", host, pathname, lang, "/", hash ].join("") : (localStorage.setItem("lang", "en-US"), 
            newLocation = [ protocol, "//", host, pathname, "en-US/", hash ].join("")), window.location.replace(newLocation);
        },
        error: function() {
            localStorage.setItem("lang", "en-US"), window.location.replace([ protocol, "//", host, "/en-US/", hash ].join(""));
        },
        timeout: 6e4
    });
}();